1

Controller connectors


2

LED control port


3

Power Source

Controller’s work voltage is 5.3V±0.4V D.C, the peak-current is 2A，the working-current is 1A.

It is recommended to use one power source just for controller.

If power of controller is correct, the indicating LED (Marked SOURCE) below the power socket will be lighting.

The SOURCE LED will turn off if the voltage is over 5.8V, and another indicating LED (marked OVER) will turn on. Then user must check the power at once.


4

Polarity of Output-enable

Polarity of output enable is selected by a 3-pin labeled ‘1 OE 0’. When the output enable signal to screen is ‘1’, and the screen is turned on, then short the OE with ‘1’. Otherwise, short the OE with ‘0’


5

100M Ethernet connector

The above diagram shows the position of the first pin of the connector and the twisted-pair cables’ sequence of the ETA/TIA standard 568A and 568B.

If the computer is directly connected to the controller, one terminal of the cable is 568A style, another one is 568B.

If the computer is connected to the controller through router, HUB or switcher, then the 2 terminals of the cable should be made as 568B.

When the controller is connected to the 100M LAN, the indicator marked with ‘100M’ will turn on. If it is connected to 10M LAN, the indicator will be off.

While data exchanged between the controller and the LAN, the LINK will flash.


6

SD Card

The controller can use SD card from 64M up to 2G as the data storage.

Before using the SD card, it should be formatted as FAT (FAT16) format without volume label by card-reader, then just insert SD card into controller.


7

LED Power Control

Controller gives out the signal to a solid-state relay to turn on/off the screen’s power source (controller is independently powered), if the current time is during the auto-on period, and there is valid program on the controller, then the LSW LED will turn on, and at the same time, SW connecter will give out the signal to the solid-state relay. The pin of the SW at the controller’s PCB edge side will connect to ‘-‘ of the solid-state relay, the inner pin of SW will connect to ‘+’ of solid-state relay. The connect diagram’ as below:


8

Brightness sampling

Brightness sampling is used for automatically adjusting the screen’s brightness.

The brightness sensor connected to BRT socket is provided free together with controller, it should be fixed outside of the screen. Just select auto-control by software, then the controller can automatically adjust the brightness according to the environment.


9

Temperature and humidity sensor collect the data for displaying on the screen. And temperature sensor can also be used for automatically controlling the SW (used for screen power source) and SW2 (normally used for screen cooling equipment).

Temperature sensor is DS18B20, Humidity sensor is HF3223(These two sensors are not free). The cable length between sensor and controller can only be less than 0.5 meters, and please pay attention to the polar of the sensor’s pins. Otherwise the sensor will be damaged.

The temperature sensor can be used as: when the temperature exceeds the preset T_off, the SW will turn off; when the temperature comes down below the preset T_on, the SW will turn on again. If T_on>=T_off, this automatic controlling function will be disabled.

And temperature sensor can also be used as: when the temperature exceeds the preset temperature t_on, the cooling equipment will automatically turn on, when the temperature comes down below t_off, then the cooling equipment will turn off. If the t_off>=t_on,then this automatic controlling function will be disabled.

Temperature-automatic-controlling function is setup in transfer dialog box.


10

Serial Port

While a serial port receiving/sending data, the corresponding indicator will twinkle.

COM1: RS232 3-wires serial port, PIN2: receiving, PIN3: sending, PIN5: ground.

COM2: (only for the full version) RS232 serial port like COM1.

COM3: RS422/RS485 serial port, PIN6:T-, PIN7:T+, PIN8:R+, PIN9:R- (The serial port’s interface-chips are optional)

1、Connection between controller and computer by COM1,COM2

About COM1 and COM2, the connection between controller and the computer is as:

PIN2 of controller’s COM1 (or COM2) is connected to PIN3 of computer’s serial port; PIN3 of controller’s COM1 (or COM2) is connected to PIN2 of computer’s serial port; PIN5 of controller’s COM1 (or COM2) is connected to PIN5 of computer’s serial port.

2、Connecting by RS422

PIN5(GND) connected to RS232/RS422-convertor’s ‘GND’

PIN6(T-) connected to RS232/RS422-convertor’s ‘R-’

PIN7(T+) connected to RS232/RS422-convertor’s ‘R+’

PIN8(R+) connected to RS232/RS422-convertor’s ‘T+’

PIN9(R-) connected to RS232/RS422-convertor’s ‘T-’

3、Connecting by RS485

If PIN6 and PIN9, PIN7 and PIN8 are shorted together, then COM3 works under RS485 mode, and:

PIN5(GND) connected to RS232/RS485-convertor’s ‘GND’

PIN6(‘-’) connected to RS232/RS485-convertor’s ‘-’

PIN7(‘+’) connected to RS232/RS485-convertor’s ‘+’

4、RS422/485 terminal

The RS422/RS485 terminal has been equipped on the controller; normally the circuit is not be connected. When necessary, it is just needed to short the two pair of pins marked with ‘JX’. If the controller is at the end of the RS422/485 bus, the terminal has to be connected.


11

Simple asynchronous communication protocol

Baud rate, data bits, stop bits and parity of asynchronous communication can be set in [option]. The frame format mush be:

Lead character | ASCII data | 0dH | 0aH
1 | n | 1 | 1

Brightness adjusting: Lead character is ‘B’. ASCII data is 2 same numeral characters, “00” means to decrease brightness, “11” means to increase brightness.

Data displaying: Lead character is ‘N’, ASCII data is a numeral string less than 8 groups of data, each group of data is separated by ‘,’. Except for the ASCII character from ‘0’ to ‘9’, it can also has ‘+’, ‘-’, ‘.’ and space; For example: ‘N12.35, 77.98, 233.65’+0dH+0aH.

Program choosing: lead character is ‘P’, ASCII data are 2 decimal characters, it indicates to play the program in the path of these 2 decimal characters in SD card. For example: ‘P23’+0dH+0aH means to play the program ‘B:\P23\PLAYLIST.LY’

Turn on/off LED’s power source: lead character is ‘S’,ASCII data are 2 same numeral characters, ‘00’ means turn-off, ‘11’ means turn-on.

Proof time: lead character is ‘T’, ASCII data are 14 numeral characters of new time which are 2 for year, 2 for month, 2 for day of month, 2 for day of week, 2 for hour, 2 for minute and 2 for second. For example: “2007-6-5 Tuesday 10:13:28” should be as ‘T07060502101328’ +0dH+0aH

The year is just indicated with year and 10 year, Sunday is indicated as ‘00’.

Pause/ Continue: lead character is ‘U’, ASCII data are 2 same numeral characters, ‘00’ means pause, ‘11’ means continuous play.


12

Size and fixing holes position

The simple version：

The full version：


13

Firewall

The firewall of Windows system may disable network operations of SuperComm software. So the firewall must be configured for PC and controller to exchange data by network.

In control panel, double click ‘Windows firewall’, to setup as below:

Step 1.

Step 2.


14

Network parameters of controller

The default IP address of the controller is: 10.1.1.127.

A LAN IP address has to be given to the controller before it can correctly work.

Run the SuperComEdit management program, and in the menu, choose [tool]→[option]→[parameter], the dialog box is as below:

Click on [Seek], to find the controller. This [seek] operation has two seeking methods, which is broadcast; another is the indicated target package.

If the controller is in the same subnet with the PC, then empty the IP address input, and click on [seek]

If it is not in the same subnet with the PC, then input the controller’s IP address, click on [seek]

After the above operation, the controller will show in the list, then double click on the item which needs to be configured.

When multiple controllers are in the LAN, then each controller can be given its own name, such as ‘LYTec 001’.


15

NTP protocol, Network time automatic adjust

If there is a time synchronization server in the LAN or internet, just input the time synchronization server’s IP address, then controller will get the standard time from the server to adjust its clock time.

When using Internet, it is not necessary to especially set up the router and exchanger, as NTP protocol is an open standard protocol, most of the routers and exchanger would support this protocol.


16

Across net visiting

These 2 pairs of UDP ports (27694, 27695), (28123, 28124) are defaulted to be used in SuperComm. If they are disabled by the router or switcher in the LAN, any other 2 pairs of unused UDP ports can be chosen to replace them.


17

Set up for serial port data receiving and sending

Computer can also communicate with SuperComm of controller through serial port. But before using that, the serial port of controller and computer must be set as following steps:

Step 1: use 2,3 crossed cable to connect the computer’s serial port and controller’s COM1.

Step 2: in the SuperComm software, menu [tool]→[option], first choose [LED], in this interface, mark in the check before ‘Transfer data by serial port’;

Step 3: then choose [local serial port], choose the computer’s serial port, baudrate, timeout and retry times.

Step 4: last, choose [serial ports], and have the controller powered on again, the software will show the configuration information of controller’s serial ports. Follow the instruction to setup the controller’s serial ports.

After these, PC and controller can exchange data by asynchronous communication.

Also when the hardware properties are set by LAN, the serial port of controller can be set as follow:

Step 1: [tool]→[option], first choose [LED], don’t checked ‘transfer data with serial port’

Step 2: then choose [serial port], to set up controller’s serial port with [databit] as ‘8’, [Stop bit] as ‘1’,[Check bit] as ‘NONE’,[Same Check] as not to be checked,[Data Transfer]to be checked, then click [ok];

Step 3: again [tool]→[option], choose [LED], checked ‘transfer data with serial port’

Step 4: [local serial port], choose the same baudrate as step 2, and give the timeout and retry times based on the communication distance and environment interference. Then click [ok]

Each controller’s address for asynchronous communication is itself IP last section. For example: if IP address is 10.1.1.127, then the address for asynchronous communication address is 127.

Using MODEM

If to use MODEM for data transfer, and in terms of asynchronous communication success between PC and controller, then following steps need be done:

1, choose the local serial port which is connected to the MODEM with PC.

2, [tool]→[option]→[screen], checked ‘use MODEM’

When the above is done, the main interface will have ‘dial’ and ‘hang up’ 2 buttons as the below illustration:

Choose [dial] operation, after connection to the MODEM with the controller, then [option], [Transfer] and [information] can work.

The MODEM with the controller must be setup before being used as:

1, Auto answer by ‘ATA’ command.

2, The same constant baudrate as of controller’s serial port to exchange data with controller.


18

Password for hardware and serial port

In the software, the password to setup the hardware properties and serial port is ‘super2006’, please be noted not to tell this password to the end users. Otherwise, it is very easy to damage the screen while having an incorrect setup on the hardware properties, as they don’t understand the driving property of the screen.

Full version of SuperComm controls 960 columns by 512 rows for 2-color with red and green each 256 gray scale, 640 columns by 320 rows for 3-color with red and blue each 32 gray scale, green 64 gray scale.

Simple version of SuperComm controls 960 columns by 256 rows for 2-color, and 640 columns by 160 rows for 3-color. The gray scale is same as above.


19

Driving board route-type

In the software, choose [option]→[hardware], to setup hardware parameter.

In the top of the above dialog box, the route-type can be selected. Route-type is described as format: ‘xx-Pyy[-nn-mm]’. ‘xx’ indicates scanning mode, it could be one of 16(1/16 scan), 08(1/8 scan),04(1/4 scan),02(1/2scan) or 01(static); ‘yy’ indicates the rows controlled by one group of color signals on the drive board, normally it could be one of 02,04,08 or 16,very few is 01; ‘nn’ and ‘mm’ has multiple choices, referring to the driving IC on the board, for the connection between the LED pin and IC, ‘nn’ indicates columns, ‘mm’ indicates the rows.

In the description of the route-type, if the 1st character is digit, it means the route-type is for 2-color mode(8 bits for red, 8 bits for green, so each color has 256 grayscale); if the 1st letter is ‘T’, it means the route-type is for full color mode(5 bits for red,6 bits for green, 5 bits for blue, so the maximum gray scale is 64)

For some route-types, controller can be installed in the left side (while facing to the front side of the screen).


20

Adjust screen to correctly display

On the LED board with the above requested route-type, it may have different sequence between driver pins to LED; this can be adjusted by having some columns and rows exchanged.

Under the test mode, controller will have a triangle with gray in the right top corner. When it is on display, it can be chosen to exchange according to pixel count in the 1st row, and pixel count in the 2nd row, make this image’s 1st row has 1 pixel, the 2nd row has 2 pixels……, then refer to columns situation, to choose the column exchange, and until make it finally displays as a correct triangle.


21

Shift-clock Duty

Normally the duty of shift-clock signal from controller is 50%, looks like:

But, at the middle or end of the LED screen, this signal may become to:

And the LED screen will show pictures unstable. On this condition, the duty of shift-clock signal from controller can be adjusted as 25%, as:

So, this signal at the middle or end of the LED screen will become:

And the LED screen will show pictures stable.

The duty of 75% is opposite to above.